Index: frontend/src/App.js
===================================================================
--- frontend/src/App.js	(revision 55ed1718e29f3bb840f3e7b798f4728e2b431499)
+++ frontend/src/App.js	(revision 113029bbf1a9831d3ae8fae3e6e1d250ae725493)
@@ -50,5 +50,8 @@
         <Route path="/profile" element={<ProfileScreen />} />
         <Route path="/order/:id" element={<OrderScreen />} />
-        <Route path="/products" element={<CategoryScreen />} />
+        <Route
+          path="/products/:category/:subCategory"
+          element={<CategoryScreen />}
+        />
         <Route path="/admin/dashboard" element={<AdminDashboardScreen />} />
         <Route path="/admin/addProduct" element={<AdminAddProductScreen />} />
Index: frontend/src/components/Header.js
===================================================================
--- frontend/src/components/Header.js	(revision 55ed1718e29f3bb840f3e7b798f4728e2b431499)
+++ frontend/src/components/Header.js	(revision 113029bbf1a9831d3ae8fae3e6e1d250ae725493)
@@ -23,4 +23,5 @@
 import { useContext } from "react";
 import NavDropdown from "react-bootstrap/NavDropdown";
+import { height } from "@mui/system";
 
 const toggleMenu = (event) => {
@@ -133,11 +134,116 @@
                     </div>
                     <ul>
-                      <li>Аголни гарнитури</li>
-                      <li>Софи</li>
-                      <li>Фотелји</li>
-                      <li>Табуретки</li>
-                      <li>Клуб Маси</li>
-                      <li>ТВ комоди</li>
-                      <li>Комоди</li>
+                      <li>
+                        <Link
+                          to="/products/dnevna/agolni-garnituri"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Аголни гарнитури
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/dnevna/sofi"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Софи
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/dnevna/fotelji"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Фотелји
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/dnevna/taburetki"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Табуретки
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/dnevna/klub-masi"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Клуб Маси
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/dnevna/tv-komodi"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          ТВ Комоди
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/dnevna/komodi"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Комоди
+                        </Link>
+                      </li>
                     </ul>
                   </div>
@@ -157,7 +263,52 @@
                     </div>
                     <ul>
-                      <li>Шкафови за чевли</li>
-                      <li>Закачалки и огледала</li>
-                      <li>Колекции за ходник</li>
+                      <li>
+                        <Link
+                          to="/products/hodnik/skafovi-za-cevli"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Шкафови за чевли
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/hodnik/zakacalki-i-ogledala"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Закачалки и огледала
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/hodnik/kolekcii-za-hodnik"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Колекции за ходник
+                        </Link>
+                      </li>
                     </ul>
                   </div>
@@ -177,6 +328,36 @@
                     </div>
                     <ul>
-                      <li>Кујнски аголни гарнитури</li>
-                      <li>Стандардни кујни</li>
+                      <li>
+                        <Link
+                          to="/products/kujna/kujnski-agolni-garnituri"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Кујнски аголни гарнитури
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/kujna/standarni-kujni"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Стандардни кујни
+                        </Link>
+                      </li>
                     </ul>
                   </div>
@@ -196,10 +377,103 @@
                     </div>
                     <ul>
-                      <li>Спални комплети</li>
-                      <li>Лежаи</li>
-                      <li>Кревети</li>
-                      <li>Плакари</li>
-                      <li>Ноќни шкафчиња</li>
-                      <li>Тоалетни маси</li>
+                      <li>
+                        <Link
+                          to="/products/spalna/spalni-kompleti"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Спални комплети
+                        </Link>
+                      </li>
+
+                      <li>
+                        <Link
+                          to="/products/spalna/lezai"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Лежаи
+                        </Link>
+                      </li>
+
+                      <li>
+                        <Link
+                          to="/products/spalna/kreveti"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Кревети
+                        </Link>
+                      </li>
+
+                      <li>
+                        <Link
+                          to="/products/spalna/plakari"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Плакари
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/spalna/nokni-skafcinja"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Ноќни шкафчиња
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/spalna/toaletni-masi"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Тоалетни маси
+                        </Link>
+                      </li>
                     </ul>
                   </div>
@@ -219,10 +493,100 @@
                     </div>
                     <ul>
-                      <li>Градинарски комплети</li>
-                      <li>Градинарски лулки</li>
-                      <li>Градинарски чадори</li>
-                      <li>Градинарски маси</li>
-                      <li>Градинарски столови</li>
-                      <li>Градинарско осветлување</li>
+                      <li>
+                        <Link
+                          to="/products/gradina/gradinarski-kompleti"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Градинарски комплети
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/gradina/gradinarski-lulki"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Градинарски лулки
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/gradina/gradinarski-cadori"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Градинарски чадори
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/gradina/gradinarski-masi"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Градинарски маси
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/gradina/gradinarski-stolovi"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Градинарски столови
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/gradina/gradinarsko-osvetluvanje"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Градинарско осветлување
+                        </Link>
+                      </li>
                     </ul>
                   </div>
@@ -242,8 +606,68 @@
                     </div>
                     <ul>
-                      <li>Бироа</li>
-                      <li>Канцелариски столови</li>
-                      <li>Гејмерски столови</li>
-                      <li>Канцелариски шкафови</li>
+                      <li>
+                        <Link
+                          to="/products/kancelarija/biroa"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Бироа
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/kancelarija/kancelariski-stolovi"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Канцелариски столови
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/kancelarija/gejmerski-stolovi"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Гејмерски столови
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/kancelarija/kancelariski-skafovi"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Канцелариски шкафови
+                        </Link>
+                      </li>
                     </ul>
                   </div>
@@ -263,8 +687,68 @@
                     </div>
                     <ul>
-                      <li>Трпезариски маси</li>
-                      <li>Трпезариски столови</li>
-                      <li>Кујнски гарнитури</li>
-                      <li>Бар столови и маси</li>
+                      <li>
+                        <Link
+                          to="/products/trpezarija/trpezariski-masi"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Трпезариски маси
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/trpezarija/trpezariski-stolovi"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Трпезариски столови
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/trpezarija/kujnski-garnituri"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Кујнски гарнитури
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/trpezarija/bar-stolovi-i-masi"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Бар столови и маси
+                        </Link>
+                      </li>
                     </ul>
                   </div>
@@ -284,7 +768,52 @@
                     </div>
                     <ul>
-                      <li>Колекции за детска соба</li>
-                      <li>Детски бироа</li>
-                      <li>Лежаи</li>
+                      <li>
+                        <Link
+                          to="/products/detska/kolekcii-za-detska-soba"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Колекции за детска соба
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/detska/detski-biroa"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Детски бироа
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/detska/detski-lezai"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Лежаи
+                        </Link>
+                      </li>
                     </ul>
                   </div>
@@ -312,65 +841,77 @@
               <ul>
                 <li>
-                  <a href="#">
+                  <Link to="/products/dnevna/all">
                     <span>
                       <WeekendIcon /> Дневна
                     </span>
-                  </a>
+                  </Link>
                   <ul>
                     <li>
-                      <a href="#">Аголни гарнитури</a>
-                    </li>
-                    <li>
-                      <a href="#">Софи</a>
-                    </li>
-                    <li>
-                      <a href="#">Фотелји</a>
-                    </li>
-                    <li>
-                      <a href="#">Табуретки</a>
-                    </li>
-                    <li>
-                      <a href="#">Клуб Маси</a>
-                    </li>
-                    <li>
-                      <a href="#">ТВ Комоди</a>
-                    </li>
-                    <li>
-                      <a href="#">Комоди</a>
+                      <Link to="/products/dnevna/agolni-garnituri">
+                        Аголни гарнитури
+                      </Link>
+                    </li>
+                    <li>
+                      <Link to="/products/dnevna/sofi">Софи</Link>
+                    </li>
+                    <li>
+                      <Link to="/products/dnevna/fotelji">Фотелји</Link>
+                    </li>
+                    <li>
+                      <Link to="/products/dnevna/taburetki">Табуретки</Link>
+                    </li>
+                    <li>
+                      <Link to="/products/dnevna/klub-masi">Клуб Маси</Link>
+                    </li>
+                    <li>
+                      <Link to="/products/dnevna/tv-komodi">ТВ Комоди</Link>
+                    </li>
+                    <li>
+                      <Link to="/products/dnevna/komodi">Комоди</Link>
                     </li>
                   </ul>
                 </li>
                 <li>
-                  <a href="#">
+                  <Link to="/products/hodnik/all">
                     <span>
                       <MeetingRoomIcon />
                       Ходник
                     </span>
-                  </a>
+                  </Link>
                   <ul>
                     <li>
-                      <a href="#">Шкафови за чевли</a>
-                    </li>
-                    <li>
-                      <a href="#">Закачалки и огледала</a>
-                    </li>
-                    <li>
-                      <a href="#">Колекции за ходник</a>
+                      <Link to="/products/hodnik/skafovi-za-cevli">
+                        Шкафови за чевли
+                      </Link>
+                    </li>
+                    <li>
+                      <Link to="/products/hodnik/zakacalki-i-ogledala">
+                        Закачалки и огледала
+                      </Link>
+                    </li>
+                    <li>
+                      <Link to="/products/hodnik/kolekcii-za-hodnik">
+                        Колекции за ходник
+                      </Link>
                     </li>
                   </ul>
                 </li>
                 <li>
-                  <a href="#">
+                  <Link to="/products/kujna/all">
                     <span>
                       <KitchenIcon />
                       Кујна
                     </span>
-                  </a>
+                  </Link>
                   <ul>
                     <li>
-                      <a href="#">Кујнски аголни гарнитури</a>
-                    </li>
-                    <li>
-                      <a href="#">Стандардни кујни</a>
+                      <Link to="/products/kujna/kujnski-agolni-garnituri">
+                        Кујнски аголни гарнитури
+                      </Link>
+                    </li>
+                    <li>
+                      <Link to="/products/kujna/standarni-kujni">
+                        Стандардни кујни
+                      </Link>
                     </li>
                   </ul>
@@ -381,59 +922,77 @@
               <ul>
                 <li>
-                  <a href="#">
+                  <Link to="/products/spalna/all">
                     <span>
                       <BedIcon />
                       Спална
                     </span>
-                  </a>
+                  </Link>
                   <ul>
                     <li>
-                      <a href="#">Спални комплети</a>
-                    </li>
-
-                    <li>
-                      <a href="#">Лежаи</a>
-                    </li>
-
-                    <li>
-                      <a href="#">Кревети</a>
-                    </li>
-
-                    <li>
-                      <a href="#">Плакари</a>
-                    </li>
-                    <li>
-                      <a href="#">Ноќни шкафчиња</a>
-                    </li>
-                    <li>
-                      <a href="#">Тоалетни маси</a>
+                      <Link to="/products/spalna/spalni-kompleti">
+                        Спални комплети
+                      </Link>
+                    </li>
+
+                    <li>
+                      <Link to="/products/spalna/lezai">Лежаи</Link>
+                    </li>
+
+                    <li>
+                      <Link to="/products/spalna/kreveti">Кревети</Link>
+                    </li>
+
+                    <li>
+                      <Link to="/products/spalna/plakari">Плакари</Link>
+                    </li>
+                    <li>
+                      <Link to="/products/spalna/nokni-skafcinja">
+                        Ноќни шкафчиња
+                      </Link>
+                    </li>
+                    <li>
+                      <Link to="/products/spalna/toaletni-masi">
+                        Тоалетни маси
+                      </Link>
                     </li>
                   </ul>
                 </li>
                 <li>
-                  <a href="#">
+                  <Link to="/products/gradina/all">
                     <span>
                       <DeckIcon />
                       Мебел за градина
                     </span>
-                  </a>
+                  </Link>
                   <ul>
                     <li>
-                      <a href="#">Градинарски комплети</a>
-                    </li>
-                    <li>
-                      <a href="#">Градинарски лулки</a>
-                    </li>
-                    <li>
-                      <a href="#">Градинарски чадори</a>
-                    </li>
-                    <li>
-                      <a href="#">Градинарски маси</a>
-                    </li>
-                    <li>
-                      <a href="#">Градинарски столови</a>
-                    </li>
-                    <li>
-                      <a href="#">Градинарско осветлување</a>
+                      <Link to="/products/gradina/gradinarski-kompleti">
+                        Градинарски комплети
+                      </Link>
+                    </li>
+                    <li>
+                      <Link to="/products/gradina/gradinarski-lulki">
+                        Градинарски лулки
+                      </Link>
+                    </li>
+                    <li>
+                      <Link to="/products/gradina/gradinarski-cadori">
+                        Градинарски чадори
+                      </Link>
+                    </li>
+                    <li>
+                      <Link to="/products/gradina/gradinarski-masi">
+                        Градинарски маси
+                      </Link>
+                    </li>
+                    <li>
+                      <Link to="/products/gradina/gradinarski-stolovi">
+                        Градинарски столови
+                      </Link>
+                    </li>
+                    <li>
+                      <Link to="/products/gradina/gradinarsko-osvetluvanje">
+                        Градинарско осветлување
+                      </Link>
                     </li>
                   </ul>
@@ -444,63 +1003,81 @@
               <ul>
                 <li>
-                  <a href="#">
+                  <Link to="/products/kancelarija/all">
                     <span>
                       <ChairAltIcon />
                       Канцеларија
                     </span>
-                  </a>
+                  </Link>
                   <ul>
                     <li>
-                      <a href="#">Бироа</a>
-                    </li>
-                    <li>
-                      <a href="#">Канцелариски столови</a>
-                    </li>
-                    <li>
-                      <a href="#">Гејмерски столови</a>
-                    </li>
-                    <li>
-                      <a href="#">Канцелариски шкафови</a>
+                      <Link to="/products/kancelarija/biroa">Бироа</Link>
+                    </li>
+                    <li>
+                      <Link to="/products/kancelarija/kancelariski-stolovi">
+                        Канцелариски столови
+                      </Link>
+                    </li>
+                    <li>
+                      <Link to="/products/kancelarija/gejmerski-stolovi">
+                        Гејмерски столови
+                      </Link>
+                    </li>
+                    <li>
+                      <Link to="/products/kancelarija/kancelariski-skafovi">
+                        Канцелариски шкафови
+                      </Link>
                     </li>
                   </ul>
                 </li>
                 <li>
-                  <a href="#">
+                  <Link to="/products/trpezarija/all">
                     <span>
                       <TableRestaurantIcon />
                       Трпезарија
                     </span>
-                  </a>
+                  </Link>
                   <ul>
                     <li>
-                      <a href="#">Трпезариски маси</a>
-                    </li>
-                    <li>
-                      <a href="#">Трпезариски столови</a>
-                    </li>
-                    <li>
-                      <a href="#">Кујнски гарнитури</a>
-                    </li>
-                    <li>
-                      <a href="#">Бар столови и маси</a>
+                      <Link to="/products/trpezarija/trpezariski-masi">
+                        Трпезариски маси
+                      </Link>
+                    </li>
+                    <li>
+                      <Link to="/products/trpezarija/trpezariski-stolovi">
+                        Трпезариски столови
+                      </Link>
+                    </li>
+                    <li>
+                      <Link to="/products/trpezarija/kujnski-garnituri">
+                        Кујнски гарнитури
+                      </Link>
+                    </li>
+                    <li>
+                      <Link to="/products/trpezarija/bar-stolovi-i-masi">
+                        Бар столови и маси
+                      </Link>
                     </li>
                   </ul>
                 </li>
                 <li>
-                  <a href="#">
+                  <Link to="/products/detska/all">
                     <span>
                       <BedroomChildIcon />
                       Детска соба
                     </span>
-                  </a>
+                  </Link>
                   <ul>
                     <li>
-                      <a href="#">Колекции за детска соба</a>
-                    </li>
-                    <li>
-                      <a href="#">Детски бироа</a>
-                    </li>
-                    <li>
-                      <a href="#">Лежаи</a>
+                      <Link to="/products/detska/kolekcii-za-detska-soba">
+                        Колекции за детска соба
+                      </Link>
+                    </li>
+                    <li>
+                      <Link to="/products/detska/detski-biroa">
+                        Детски бироа
+                      </Link>
+                    </li>
+                    <li>
+                      <Link to="/products/detska/detski-lezai">Лежаи</Link>
                     </li>
                   </ul>
Index: frontend/src/components/Product.js
===================================================================
--- frontend/src/components/Product.js	(revision 55ed1718e29f3bb840f3e7b798f4728e2b431499)
+++ frontend/src/components/Product.js	(revision 113029bbf1a9831d3ae8fae3e6e1d250ae725493)
@@ -4,4 +4,6 @@
 import { Link } from "react-router-dom";
 import { Store } from "../Store";
+import CheckIcon from "@mui/icons-material/Check";
+import ClearIcon from "@mui/icons-material/Clear";
 
 function Product({ product }) {
@@ -14,5 +16,8 @@
   };
   return (
-    <div className="product__container">
+    <div
+      className="product__container"
+      style={{ marginLeft: "5px", marginRight: "5px", marginTop: "10px" }}
+    >
       <Link to={`/product/${product.slug}`} style={{ height: "165.91px" }}>
         <div className="product__img" style={{ height: "100%" }}>
@@ -24,6 +29,17 @@
         </div>
       </Link>
-      <div className="product__textContainer">
-        <Link to={`/product/${product.slug}`}>
+      <div
+        className="product__textContainer"
+        style={{
+          display: "flex",
+          justifyContent: "space-evenly",
+          alignItems: "center",
+          marginLeft: "25px",
+        }}
+      >
+        <Link
+          to={`/product/${product.slug}`}
+          style={{ textDecoration: "none", color: "black" }}
+        >
           <div className="product__name">
             <h3>{product.name}</h3>
@@ -31,8 +47,28 @@
         </Link>
         <div className="product__price">
-          <h5>{product.price}ден</h5>
+          <h3 style={{ textDecoration: "none", color: "black" }}>
+            {product.price}ден
+          </h3>
         </div>
       </div>
-      <div className="product__addToCart">
+      <div
+        style={{
+          width: "100%",
+          display: "flex",
+          justifyContent: "center",
+          alignItems: "center",
+        }}
+      >
+        {product.countInStock > 0 ? (
+          <span style={{ color: "green" }}>
+            <CheckIcon></CheckIcon>Залиха
+          </span>
+        ) : (
+          <span style={{ color: "red" }}>
+            <ClearIcon></ClearIcon>Залиха
+          </span>
+        )}
+      </div>
+      <div className="product__addToCart" style={{ marginTop: "15px" }}>
         <button onClick={addToCartHandler}>
           <ShoppingBasketIcon />
Index: frontend/src/screens/CardPaymentScreen.js
===================================================================
--- frontend/src/screens/CardPaymentScreen.js	(revision 55ed1718e29f3bb840f3e7b798f4728e2b431499)
+++ frontend/src/screens/CardPaymentScreen.js	(revision 113029bbf1a9831d3ae8fae3e6e1d250ae725493)
@@ -155,5 +155,4 @@
               </Form.Select>
               <Form.Select style={{ width: "47%", margin: "auto" }}>
-                <option value="01">22</option>
                 <option value="02">23</option>
                 <option value="03">24</option>
Index: frontend/src/screens/CategoryScreen.js
===================================================================
--- frontend/src/screens/CategoryScreen.js	(revision 55ed1718e29f3bb840f3e7b798f4728e2b431499)
+++ frontend/src/screens/CategoryScreen.js	(revision 113029bbf1a9831d3ae8fae3e6e1d250ae725493)
@@ -1,3 +1,3 @@
-import React, { useEffect, useReducer, useState } from "react";
+import React, { useEffect, useReducer } from "react";
 import "../styles/Home.css";
 // import data from "./data";
@@ -5,4 +5,9 @@
 import axios from "axios";
 import { Helmet } from "react-helmet-async";
+import { getError } from "../components/utils";
+import { useLocation, useNavigate, useParams } from "react-router-dom";
+import Form from "react-bootstrap/Form";
+import Button from "react-bootstrap/Button";
+import LinkContainer from "react-router-bootstrap/LinkContainer";
 
 const reducer = (state, action) => {
@@ -11,5 +16,12 @@
       return { ...state, loading: true };
     case "FETCH_SUCCESS":
-      return { ...state, products: action.payload, loading: false };
+      return {
+        ...state,
+        products: action.payload.products,
+        page: action.payload.page,
+        pages: action.payload.pages,
+        countProducts: action.payload.countProducts,
+        loading: false,
+      };
     case "FETCH_FAIL":
       return { ...state, loading: false, error: action.payload };
@@ -20,27 +32,49 @@
 
 function Home() {
-  const [{ loading, error, products }, dispatch] = useReducer(reducer, {
-    products: [],
-    loading: true,
-    error: "",
-  });
-  //const [products, setProducts] = useState([]);
+  const params = useParams();
+  const { category, subCategory } = params;
+  const navigate = useNavigate();
+  const { search } = useLocation();
+  const sp = new URLSearchParams(search);
+  //const category = sp.get("category") || "all";
+  const query = sp.get("query") || "all";
+  //const subCategory = sp.get("subCategory") || "all";
+  //const name = sp.get("name") || "all";
+  const order = sp.get("order") || "newest";
+  const page = sp.get("page") || 1;
+
+  const [{ loading, error, products, pages, countProducts }, dispatch] =
+    useReducer(reducer, { loading: true, error: "" });
+
   useEffect(() => {
     const fetchData = async () => {
-      dispatch({ type: "FETCH_REQUEST" });
       try {
-        const result = await axios.get("/api/products");
-        dispatch({ type: "FETCH_SUCCESS", payload: result.data });
+        dispatch({ type: "FETCH_REQUEST" });
+        /*
+        const { data } = await axios.get(
+          `/api/products/search?page=${page}&query=${query}&category=${category}&subCategory=${subCategory}&order=${order}`
+        );*/
+        const { data } = await axios.get(
+          `/api/products?page=${page}&query=${query}&category=${category}&subCategory=${subCategory}&order=${order}`
+        );
+        dispatch({ type: "FETCH_SUCCESS", payload: data });
       } catch (err) {
-        dispatch({ type: "FETCH_FAIL", payload: err.message });
+        dispatch({ type: "FETCH_FAIL", payload: getError(err) });
       }
-
-      //setProducts(result.data);
     };
     fetchData();
-  }, []);
+  }, [category, page, query, order, subCategory, error]);
+
+  const getFilterUrl = (filter) => {
+    const filterPage = filter.page || page;
+    const filterCategorry = filter.category || category;
+    const filterQuery = filter.query || query;
+    const filterSubCategory = filter.subCategory || subCategory;
+    const sortOrder = filter.order || order;
+    return `?category=${filterCategorry}&query=${filterQuery}&subCategory=${filterSubCategory}&page=${filterPage}&order=${sortOrder}`;
+  };
 
   return (
-    <div>
+    <div style={{ width: "100%" }}>
       <Helmet>
         <title>MebelCity</title>
@@ -53,7 +87,249 @@
           <div>{error}</div>
         ) : (
-          products.map((product) => (
-            <Product key={product.slug} product={product} />
-          ))
+          <div style={{ width: "100%" }}>
+            {category === "kancelarija" ? (
+              <h1 style={{ textAlign: "center", marginTop: "10px" }}>
+                Канцеларија
+              </h1>
+            ) : category === "dnevna" ? (
+              <h1 style={{ textAlign: "center", marginTop: "10px" }}>Дневна</h1>
+            ) : category === "spalna" ? (
+              <h1 style={{ textAlign: "center", marginTop: "10px" }}>Спална</h1>
+            ) : category === "hodnik" ? (
+              <h1 style={{ textAlign: "center", marginTop: "10px" }}>Ходник</h1>
+            ) : category === "kujna" ? (
+              <h1 style={{ textAlign: "center", marginTop: "10px" }}>Кујна</h1>
+            ) : category === "gradina" ? (
+              <h1 style={{ textAlign: "center", marginTop: "10px" }}>
+                Градина
+              </h1>
+            ) : category === "trpezarija" ? (
+              <h1 style={{ textAlign: "center", marginTop: "10px" }}>
+                Трпезарија
+              </h1>
+            ) : (
+              <h1 style={{ textAlign: "center", marginTop: "10px" }}>
+                Детска соба
+              </h1>
+            )}
+
+            <div
+              style={{
+                width: "100%",
+                display: "flex",
+                justifyContent: "space-evenly",
+                alignItems: "center",
+                marginTop: "20px",
+              }}
+            >
+              <Form
+                style={{
+                  width: "100%",
+                  display: "flex",
+                  justifyContent: "end",
+                  marginRight: "40px",
+                  alignItems: "center",
+                }}
+              >
+                {/*}
+                <Form.Group>
+                  <Form.Select
+                    value={subCategory}
+                    onChange={(e) => {
+                      navigate(
+                        getFilterUrl({ subCategory: e.target.value, page: 1 })
+                      );
+                    }}
+                  >
+                    <option value="all">Подкатегорија</option>
+
+                    {category === "dnevna" && (
+                      <option value="agolni-garnituri">Аголни Гарнитури</option>
+                    )}
+                    {category === "dnevna" && (
+                      <option value="sofi">Софи</option>
+                    )}
+                    {category === "dnevna" && (
+                      <option value="fotelji">Фотелји</option>
+                    )}
+                    {category === "dnevna" && (
+                      <option value="taburetki">Табуретки</option>
+                    )}
+                    {category === "dnevna" && (
+                      <option value="klub-masi">Клуб маси</option>
+                    )}
+                    {category === "dnevna" && (
+                      <option value="tv-komodi">ТВ комоди</option>
+                    )}
+                    {category === "dnevna" && (
+                      <option value="komodi">Комоди</option>
+                    )}
+                    {category === "spalna" && (
+                      <option value="spalni-kompleti">Спални Комплети</option>
+                    )}
+                    {category === "spalna" && (
+                      <option value="lezai">Лежаи</option>
+                    )}
+                    {category === "spalna" && (
+                      <option value="kreveti">Кревети</option>
+                    )}
+                    {category === "spalna" && (
+                      <option value="plakari">Плакари</option>
+                    )}
+                    {category === "spalna" && (
+                      <option value="nokni-skafcinja">Ноќни шкафчиња</option>
+                    )}
+                    {category === "spalna" && (
+                      <option value="toaletni-masi">Тоалетни маси</option>
+                    )}
+                    {category === "kancelarija" && (
+                      <option value="biroa">Бироа</option>
+                    )}
+                    {category === "kancelarija" && (
+                      <option value="kancelariski-stolovi">
+                        Канцелариски столови
+                      </option>
+                    )}
+                    {category === "kancelarija" && (
+                      <option value="gejmerski-stolovi">
+                        Гејмерски столови
+                      </option>
+                    )}
+                    {category === "kancelarija" && (
+                      <option value="kancelariski-skafovi">
+                        Канцелариски шкафови
+                      </option>
+                    )}
+                    {category === "hodnik" && (
+                      <option value="skafovi-za-cevli">Шкафови за чевли</option>
+                    )}
+                    {category === "hodnik" && (
+                      <option value="zakacalki-i-ogledala">
+                        Закачалки и огледала
+                      </option>
+                    )}
+                    {category === "hodnik" && (
+                      <option value="kolekcii-za-hodnik">
+                        Колекции за ходник
+                      </option>
+                    )}
+                    {category === "gradina" && (
+                      <option value="gradinarski-kompleti">
+                        Градинарски комплети
+                      </option>
+                    )}
+                    {category === "gradina" && (
+                      <option value="gradinarski-lulki">
+                        Градинарски лулки
+                      </option>
+                    )}
+                    {category === "gradina" && (
+                      <option value="gradinarski-cadori">
+                        Градинарски чадори
+                      </option>
+                    )}
+                    {category === "gradina" && (
+                      <option value="gradinarski-masi">Градинарски маси</option>
+                    )}
+                    {category === "gradina" && (
+                      <option value="gradinarski-stolovi">
+                        Градинарски столови
+                      </option>
+                    )}
+                    {category === "gradina" && (
+                      <option value="gradinarsko-osvetluvanje">
+                        Градинарско осветлување
+                      </option>
+                    )}
+                    {category === "trpezarija" && (
+                      <option value="trpezariski-masi">Трпезариски маси</option>
+                    )}
+                    {category === "trpezarija" && (
+                      <option value="trpezariski-stolovi">
+                        Трпезариски столови
+                      </option>
+                    )}
+                    {category === "trpezarija" && (
+                      <option value="kujnski-garnituri">
+                        Кујнски гарнитури
+                      </option>
+                    )}
+                    {category === "trpezarija" && (
+                      <option value="bar-stolovi-i-masi">
+                        Бар столови и маси
+                      </option>
+                    )}
+                    {category === "kujna" && (
+                      <option value="kujnski-agolni-garnituri">
+                        Кујнски аголни гарнитури
+                      </option>
+                    )}
+                    {category === "kujna" && (
+                      <option value="standardni-kujni">Стандардни кујни</option>
+                    )}
+                    {category === "detska" && (
+                      <option value="kolekcii-za-detska-soba">
+                        Колекции за детска соба
+                      </option>
+                    )}
+                    {category === "detska" && (
+                      <option value="detski-biroa">Детски бироа</option>
+                    )}
+                    {category === "detska" && (
+                      <option value="detski-lezai">Детски лежаи</option>
+                    )}
+                  </Form.Select>
+                    </Form.Group>*/}
+                <Form.Group>
+                  <Form.Select
+                    id="sortOrder"
+                    onChange={(e) => {
+                      navigate(getFilterUrl({ order: e.target.value }));
+                    }}
+                  >
+                    <option value={"newest"}>Сортирај по цена</option>
+                    <option value={"lowFirst"}>Од ниска кон висока</option>
+                    <option value={"highFirst"}>Од висока кон ниска</option>
+                  </Form.Select>
+                </Form.Group>
+              </Form>
+            </div>
+            <div
+              style={{
+                display: "flex",
+                flexWrap: "wrap",
+                justifyContent: "space-evenly",
+                alignItems: "center",
+                marginTop: "10px",
+              }}
+            >
+              {products.map((product) => (
+                <Product key={product.slug} product={product} />
+              ))}
+            </div>
+            <div
+              style={{
+                marginTop: "20px",
+                display: "flex",
+                justifyContent: "center",
+                alignItems: "center",
+              }}
+            >
+              {[...Array(pages).keys()].map((x) => (
+                <LinkContainer
+                  key={x + 1}
+                  className="mx-1"
+                  to={getFilterUrl({ page: x + 1 })}
+                >
+                  <Button
+                    className={Number(page) === x + 1 ? "text-bold" : ""}
+                    variant={Number(page) === x + 1 ? "danger" : "light"}
+                  >
+                    {x + 1}
+                  </Button>
+                </LinkContainer>
+              ))}
+            </div>
+          </div>
         )}
       </div>
Index: frontend/src/screens/Home.js
===================================================================
--- frontend/src/screens/Home.js	(revision 55ed1718e29f3bb840f3e7b798f4728e2b431499)
+++ frontend/src/screens/Home.js	(revision 113029bbf1a9831d3ae8fae3e6e1d250ae725493)
@@ -14,4 +14,5 @@
 import axios from "axios";
 import { Helmet } from "react-helmet-async";
+import { useNavigate } from "react-router-dom";
 
 const reducer = (state, action) => {
@@ -34,4 +35,5 @@
     error: "",
   });
+  const navigate = useNavigate();
   //const [products, setProducts] = useState([]);
   useEffect(() => {
@@ -148,5 +150,10 @@
       </div>
       <div className="grid-container">
-        <div className="grid-item item1">Дневна</div>
+        <div
+          className="grid-item item1"
+          onClick={() => navigate("/products/dnevna/all")}
+        >
+          Дневна
+        </div>
         <div className="grid-item item2">Ходник</div>
         <div className="grid-item item3">Трпезарија</div>
Index: frontend/src/screens/HomeWithJumbo.js
===================================================================
--- frontend/src/screens/HomeWithJumbo.js	(revision 55ed1718e29f3bb840f3e7b798f4728e2b431499)
+++ frontend/src/screens/HomeWithJumbo.js	(revision 113029bbf1a9831d3ae8fae3e6e1d250ae725493)
@@ -14,6 +14,8 @@
 import { Helmet } from "react-helmet-async";
 import Jumbo from "../components/JumboSlider";
+import { useNavigate } from "react-router-dom";
 
 function Home() {
+  const navigate = useNavigate();
   const clearActive = () => {
     let icon1 = document.getElementById("icon1");
@@ -108,12 +110,52 @@
       </div>
       <div className="grid-container">
-        <div className="grid-item item1">Дневна</div>
-        <div className="grid-item item2">Ходник</div>
-        <div className="grid-item item3">Трпезарија</div>
-        <div className="grid-item item4">Спална</div>
-        <div className="grid-item item5">Кујна</div>
-        <div className="grid-item item6">Канцеларија</div>
-        <div className="grid-item item7">Детска соба</div>
-        <div className="grid-item item8">Мебел за градина</div>
+        <div
+          className="grid-item item1"
+          onClick={() => navigate("/products/dnevna/all")}
+        >
+          Дневна
+        </div>
+        <div
+          className="grid-item item2"
+          onClick={() => navigate("/products/hodnik/all")}
+        >
+          Ходник
+        </div>
+        <div
+          className="grid-item item3"
+          onClick={() => navigate("/products/trpezarija/all")}
+        >
+          Трпезарија
+        </div>
+        <div
+          className="grid-item item4"
+          onClick={() => navigate("/products/spalna/all")}
+        >
+          Спална
+        </div>
+        <div
+          className="grid-item item5"
+          onClick={() => navigate("/products/kujna/all")}
+        >
+          Кујна
+        </div>
+        <div
+          className="grid-item item6"
+          onClick={() => navigate("/products/kancelarija/all")}
+        >
+          Канцеларија
+        </div>
+        <div
+          className="grid-item item7"
+          onClick={() => navigate("/products/detska/all")}
+        >
+          Детска соба
+        </div>
+        <div
+          className="grid-item item8"
+          onClick={() => navigate("/products/gradina/all")}
+        >
+          Мебел за градина
+        </div>
       </div>
     </div>
Index: frontend/src/styles/ProductScreen.css
===================================================================
--- frontend/src/styles/ProductScreen.css	(revision 55ed1718e29f3bb840f3e7b798f4728e2b431499)
+++ frontend/src/styles/ProductScreen.css	(revision 113029bbf1a9831d3ae8fae3e6e1d250ae725493)
@@ -109,4 +109,5 @@
   display: flex !important;
   justify-content: center !important;
+  margin-top: 10px;
 }
 
